error: CYGWIN_NT-10.0-x86_64 is not supported (yet?) on Windows 10

René Berber rene.berber@gmail.com
Sun Apr 24 15:11:38 GMT 2022


On 4/24/2022 9:02 AM, John Balkunas wrote:

> I installed Cywin64 Terminal so that I can compile chrony-4.2 for use with Windows 10 Pro 64-bit. I used the Cygwin Setup program/installer named setup-x86_64.exe for 64 bit Windows.  The install appeared to go well.  After the install, from within the Cywin64 Terminal, I see the following 3 results:
[snip]
> Command: "./configure"
> Result:
> error: CYGWIN_NT-10.0-x86_64 is not supported (yet?)

That message is from chrony, there's no apparent problem with Cygwin. 
The message is just telling you that the OS CYGWIN* is not one known to 
work, or the project being already ported if that is needed.

Perhaps its time to look into configure's options, there may be one to 
(force) build for Linux and, depending on how portable that project is, 
it usually works.

Another detail which is often overlooked, you need to install the 
pre-requisites (listed by the specific project) and its development 
libraries (as in <package>-devel in setup).

Hope this helps.
-- 
R.Berber



More information about the Cygwin mailing list